<?php
require_once('wiras_php/wa_baza/wa_polacz.php');
?>
<link rel="stylesheet" href="gry/kolormania/css/style.css" />
<div id="kolormania_tlo">
	<div id="kolor_tytul"><br />
	<h3 id="kolormania_h3">GRA - KOLORMANIA</h3>
	<h3 id="kolormania_h3">Autor: Adam Krauze</h3>
	</div>
	<div id="top">
		<div id="border_top">
		</div>
		<div id="border_left">
		</div>
		<div id="screen">
		<?php
			for ($i=1; $i<101; $i++) {
					echo '<div id="w'.$i.'">';
					
					echo '</div>';
				}	
		?>
		</div>
		<div id="border_right">
		</div>
		<div id="border_bottom">
		</div>
	</div>
	<div id="komunikat">
		<div id="start">
		<button type="button" id="but1" style="margin: 10px 0 0 8px;"> START </button>
		</div>
		<div id="punkty">
		Punkty: 0<br>
		Poziom: 1
		</div>
		<div id="czas">
		Czas: 90 s<br>
		Bonus: 0 s
		</div>
		<div id="menu">
		<button type="button" id="but2" style="margin: 10px 0 0 8px;"> MENU </button>
		</div>
	</div>
	<div id="box_menu">
		<table id="tab_2">
			<tr>
				<td>
				<button class="but_1" type="button" id="but5"> Wyślij </button>
				</td>
				<td>
				<button class="but_1" type="button" id="but6">Wyniki</button>
				</td>
				<td>
				<button class="but_1" type="button" id="but7"> Pomoc </button>
				</td>
				<td>
				<button class="but_1" type="button" id="but8"> Informacje </button>
				</td>
			</tr>
		</table>
	</div>
	<div id="m_wyslij">
		 <h4>- WYŚLIJ WYNIKI NA SERWER -</h4>
		 <table id="tab_1"><tr><td>
			Twoja nazwa: 
	<?php
			echo $nazwa.'<br>';
			echo '</td><td>Twój wynik:';
			echo '<form action="" method="POST" id="form_wyslij">';
			echo '<input type="text" name="wynik" id="wynik" value="" size="40" readonly><br>';
			echo '<input type="hidden" name="wyn_h" size="5" id="wyn_h" value="">';
			echo '<input type="hidden" name="send" value="" id = "stan_gry" />';
			echo '</td><td>';
			echo '<input class = "but_1" type="submit" value="Wyślij" name="but9" id="but9">';
			echo '</td></tr></table>';
			echo '</form>';
			if (isset($_POST['but9'])) {
				$_SESSION['wynik_1'] = $_POST['wynik'];
					if ($_SESSION['wynik_1']!=$_SESSION['wynik_2']) {
					$_SESSION['wynik_2'] = $_POST['wyn_h'];
					date_default_timezone_set('Europe/Warsaw');
					$godz=date("H:i:s");
					$data=date("Y-m-d");
					$imie = $_SESSION['nazwa']; 
					$wynik = $_POST['wyn_h'];
					echo $_SESSION['nazwa']; 
					$zap="INSERT INTO gry_kolormania(imie, wynik, data, czas)
						Values ('$imie', $wynik, '$data', '$godz')";

					$zapisz = mysqli_query($db, $zap);
					unset($_POST['but9']);
					$_SESSION['form'] = '<input type="hidden" name="s" value="1" id="cw" />';
				}
				else $_SESSION['form'] = '<input type="hidden" name="s" value="0" id="cw" />';
			}
			else $_SESSION['form'] = '<input type="hidden" name="s" value="0" id="cw" />';
	?>
	</div>
	<div id="m_wynik">
		<h4 style="text-align: center">- LISTA NAJLEPSZYCH WYNIKÓW -</h4>
		<?php			
			$sql="SELECT imie, wynik, data, czas
					FROM gry_kolormania ORDER BY wynik DESC LIMIT 10";	
			
			echo '<table id="tab_1" align="center">';
				echo '<tr>';
				echo '<th> Lp </th>';
				echo '<th> Imię </th>';
				echo '<th> Wynik </th>';
				echo '<th> Data </th>';
				echo '<th> Czas </th>';
				echo '</tr>';
				$lp = 1;
				$licz = '';
				$top = true;
				
				$wynik_pobierz = mysqli_query($db, $sql);
				$wynik = array();
			
			while ($wiersz = mysqli_fetch_row($wynik_pobierz)) 
				{ $wynik[] = $wiersz; }
				$lr = count($wynik);
				if ($lr>0) {
					if ($lr>9) {
						$nrw=10;
					} else $nrw=$lr;

				while ($wiersz = mysqli_fetch_row($wynik_pobierz)) 
				  {
					$wynik[] = $wiersz;
				  }
					for ($i=0; $i<$lr; $i++) {
						if ($lp<10) $licz = '0'.$lp;
							else $licz = $lp;
						$wyn[$lp]=$wynik[$i][1];
						echo '<tr>';
						echo '<td>'.$licz.'</td>';
						echo '<td>'.$wynik[$i][0].'</td>';
						echo '<td>'.$wynik[$i][1].'</td>';
						echo '<td>'.$wynik[$i][2].'</td>';
						echo '<td>'.$wynik[$i][3].'</td>';
						echo '</tr>';
						$lp++;
					}

					echo '</table>';
					$tabwyn[0]=$wyn[$nrw];
					$tabwyn[1]=$lr;
				} else {		
					echo '</table>';
					echo '<br />Brak wyników';
					$tabwyn[0]=0;
					$tabwyn[1]=0;
				}			
		?>
			<script type="text/javascript">
			var swyniki =  
		<?php
			echo $tabwyn[0].';';
			echo 'var lr = '.$tabwyn[1].';';
		?>
		</script>

		<div id="bkomun">
		</div>
	</div>
	<div id="m_pomoc">
		<h3>- POMOC -</h3>
			<table id="tab_1">
				<tr>
					<td>
					<button class="but_2" type="button" id="but15"> Str - 1 </button>
					</td>
					<td>
					<button class="but_2" type="button" id="but16"> Str - 2  </button>
					</td>
					<td>
					<button class="but_2" type="button" id="but17"> Str - 3 </button>
					</td>
					<td>
					<button class="but_2" type="button" id="but18"> Str - 4 </button>
					</td>
					<td>
					<button class="but_2" type="button" id="but19"> Str - 5 </button>
					</td>
				</tr>
			</table>
	</div>
	<div id="m_info">
		<h3>- INFORMACJE -</h3>
		<p class="text_3">Autor gry - Adam Krauze<br>
		Strona www: <a id="link_1" href="http://www.programista.biz/" target="_blank">www.programista.biz/</a><br>
		Gra została napisana przy pomocy skryptów napisanych w Java Script oraz PHP.
		Wszystkie sugestie dot. gry proszę przesyłać na adres:<br>
		</p>
		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;admin@wasznet.pl
		<br><br><p class="text_4">  Życzę wysokich wyników - Autor
		</p> 
		<br>
	</div>
	<div id="box_spomoc">

		<div id="spomoc1">
			<br><p class="text_4"> - Zasady gry - </p>
			<p class="text_3">Plansza gry składa się ze 100 kolorowych pól, którym zostaną
			przydzielone losowe kolory po rozpoczęciu gry.<br> 
			Grę rozpoczynamy klikając na klawisz - START.<br>
			Kolormania polega na zaznaczaniu kwadratów w tym samym kolorze,
			które muszą znajdować się na rogach prostokąta. Każde kliknięcie pola powoduje pojawienie się 
			czarnego krzyżyka. 
			Po zaznaczeniu czwartego narożnika wszystkie pola w obrębie prostokąta znikają, a na ich miejscu 
			pojawiają się nowo wylosowane pola. 
			Anulowanie wcześniejszych zaznaczeń jest możliwe przez ponowne kliknięcie na jedno 
			z pól zaznaczonych krzyżykiem.
			Przykłady prawidłowych zaznaczeń są przedstawione
			na rysunkach znajdujących się na kolejnej stronie.
			<br /><br /><br />
			Str - 1
			</p>
		</div>
		<div id="spomoc2">
			<table id="tab_2">
			<tr>
				<td>
					<img id="img_1" src="gry/kolormania/img/kolor_pomoc_1.gif" />
					<img id="img_2" src="gry/kolormania/img/kolor_pomoc_2.gif" />
				</td>
			</tr>
			</table>
		</div>
		<div id="spomoc3">
			<br><p class="text_4"> - Punktacja - </p>
			<p class="text_3">Liczba zdobywanych punktów zależy od rozmiaru boków prostokąta, który
			został zaznaczony. Przykład: prostokąt o bokach 4x5 = 20 punktów, prostokąt o bokach
			8x7 = 56 punktów. Tak więc maksymalnie, przy jednym zaznaczeniu, można zdobyć 100 punktów,
			a minimalnie 4 punkty. Każde błędne zaznaczenie spowoduje odjęcie 10 punktów.
			<br>
			</p><br>
			<p class="text_4"> - Poziomy - </p>
			<p class="text_3">Pierwszy, najłatwiejszy poziom gry to plansza, na której
			znajdują się pola w 3 kolorach. Warunkiem przejścia na kolejny poziom jest
			zdobycie kolejnego 1000 punktów. Każda zmiana poziomu to dodatkowy kolor pola:<br>
			1 poziom - 3 kolory, 2 poziom - 4 kolory, 3 poziom - 5 kolorów... itd.
			<br /><br />
			Str - 3
			</p>
		</div>
		<div id="spomoc4">
			<br><p class="text_4"> - Czas - </p>
			<p class="text_3">Po wystartowaniu gry licznik pokaże 90 sekund, które
			pozostały do ukończenia gry. Gra kończy się z chwilą, gdy licznik sekund osiągnie
			zero.
			<br /> 
			</p><br>
			<p class="text_4"> - Premia - </p>
			<p class="text_3">Premia naliczana jest w postaci dodatkowego czasu. Bonusy 
			przyznawane są w następujący sposób:<br>
			 - 5 sekund za każde, kolejne zdobyte 100 punktów<br>
			 - 20 sekund za każde, kolejne zdobyte 500 punktów<br>
			 - 60 sekund za każde, kolejne zdobyte 1000 punktów<br><br>
			 Tak więc przejście każdego poziomu daje bonifikatę w postaci<br>
			 dodatkowych dwóch minut.
			<br />
			Str - 4
			</p>
		</div>
		<div id="spomoc5">
			<br><p class="text_4"> - Menu - </p>
			<p class="text_3">WYŚLIJ - Wysyła wyniki na serwer. Wysłanie możliwe jest tylko
			po ukończeniu kolejnej gry, w której osiągnięty wynik będzie lepszy od tego, jaki posiada
			ostatni gracz na liście.<br />
			WYNIKI - Wyświetla listę 10 najlepszych wyników zapisanych w bazie danych. Na końcu listy
			znajduje się informacja czy ostatni uzyskany wynik znajduje się na tej liście.<br><br></p>
			 <p class="text_3">Życzę przyjemnej gry</p>
			 <p class="text_3">Adam K.</p><br /><br />
			<p class="text_3">Str - 5</p>
		</div>

	</div>
</div>

<script type="text/javascript">
	var kolor = ['0000ff','00ff00','ff0000','ffff00','00ffff',
	'802828','821AE6','FF6600', 'ffffff', '405850'];
	var kliki  = [0, 0, 0, 0];
	var nr_k = 0;
	var nr_gry = 0;
	var nr_wyslania = 0;
	var punkty = 0;
	var czas = 90;
	var si;
	var poziom = 1;
	var premia = 0;
	var l_kol = 2;
	var menu_test = false;
	var wyslij_test = false;
	var wynik_test = false;
	var pomoc_test = false;
	var info_test = false;
	var koniec_gry = false;
	var startuj_gre = false;
	var czas_d = 0;
$(document).ready(function(){
	init();

function init() {
	document.getElementById('w1').onclick=function() {klik(1);}	
	document.getElementById('w2').onclick=function() {klik(2);}	
	document.getElementById('w3').onclick=function() {klik(3);}	
	document.getElementById('w4').onclick=function() {klik(4);}	
	document.getElementById('w5').onclick=function() {klik(5);}	
	document.getElementById('w6').onclick=function() {klik(6);}	
	document.getElementById('w7').onclick=function() {klik(7);}	
	document.getElementById('w8').onclick=function() {klik(8);}	
	document.getElementById('w9').onclick=function() {klik(9);}
	document.getElementById('w10').onclick=function() {klik(10);}
	document.getElementById('w11').onclick=function() {klik(11);}	
	document.getElementById('w12').onclick=function() {klik(12);}	
	document.getElementById('w13').onclick=function() {klik(13);}	
	document.getElementById('w14').onclick=function() {klik(14);}	
	document.getElementById('w15').onclick=function() {klik(15);}	
	document.getElementById('w16').onclick=function() {klik(16);}	
	document.getElementById('w17').onclick=function() {klik(17);}	
	document.getElementById('w18').onclick=function() {klik(18);}	
	document.getElementById('w19').onclick=function() {klik(19);}	
	document.getElementById('w20').onclick=function() {klik(20);}
	document.getElementById('w21').onclick=function() {klik(21);}	
	document.getElementById('w22').onclick=function() {klik(22);}	
	document.getElementById('w23').onclick=function() {klik(23);}	
	document.getElementById('w24').onclick=function() {klik(24);}	
	document.getElementById('w25').onclick=function() {klik(25);}	
	document.getElementById('w26').onclick=function() {klik(26);}	
	document.getElementById('w27').onclick=function() {klik(27);}	
	document.getElementById('w28').onclick=function() {klik(28);}	
	document.getElementById('w29').onclick=function() {klik(29);}
	document.getElementById('w30').onclick=function() {klik(30);}
	document.getElementById('w31').onclick=function() {klik(31);}	
	document.getElementById('w32').onclick=function() {klik(32);}	
	document.getElementById('w33').onclick=function() {klik(33);}	
	document.getElementById('w34').onclick=function() {klik(34);}	
	document.getElementById('w35').onclick=function() {klik(35);}	
	document.getElementById('w36').onclick=function() {klik(36);}	
	document.getElementById('w37').onclick=function() {klik(37);}	
	document.getElementById('w38').onclick=function() {klik(38);}	
	document.getElementById('w39').onclick=function() {klik(39);}
	document.getElementById('w40').onclick=function() {klik(40);}
	document.getElementById('w41').onclick=function() {klik(41);}	
	document.getElementById('w42').onclick=function() {klik(42);}	
	document.getElementById('w43').onclick=function() {klik(43);}	
	document.getElementById('w44').onclick=function() {klik(44);}	
	document.getElementById('w45').onclick=function() {klik(45);}	
	document.getElementById('w46').onclick=function() {klik(46);}	
	document.getElementById('w47').onclick=function() {klik(47);}	
	document.getElementById('w48').onclick=function() {klik(48);}	
	document.getElementById('w49').onclick=function() {klik(49);}
	document.getElementById('w50').onclick=function() {klik(50);}
	document.getElementById('w51').onclick=function() {klik(51);}	
	document.getElementById('w52').onclick=function() {klik(52);}	
	document.getElementById('w53').onclick=function() {klik(53);}	
	document.getElementById('w54').onclick=function() {klik(54);}	
	document.getElementById('w55').onclick=function() {klik(55);}	
	document.getElementById('w56').onclick=function() {klik(56);}	
	document.getElementById('w57').onclick=function() {klik(57);}	
	document.getElementById('w58').onclick=function() {klik(58);}	
	document.getElementById('w59').onclick=function() {klik(59);}
	document.getElementById('w60').onclick=function() {klik(60);}
	document.getElementById('w61').onclick=function() {klik(61);}	
	document.getElementById('w62').onclick=function() {klik(62);}	
	document.getElementById('w63').onclick=function() {klik(63);}	
	document.getElementById('w64').onclick=function() {klik(64);}	
	document.getElementById('w65').onclick=function() {klik(65);}	
	document.getElementById('w66').onclick=function() {klik(66);}	
	document.getElementById('w67').onclick=function() {klik(67);}	
	document.getElementById('w68').onclick=function() {klik(68);}	
	document.getElementById('w69').onclick=function() {klik(69);}
	document.getElementById('w70').onclick=function() {klik(70);}
	document.getElementById('w71').onclick=function() {klik(71);}	
	document.getElementById('w72').onclick=function() {klik(72);}	
	document.getElementById('w73').onclick=function() {klik(73);}	
	document.getElementById('w74').onclick=function() {klik(74);}	
	document.getElementById('w75').onclick=function() {klik(75);}	
	document.getElementById('w76').onclick=function() {klik(76);}	
	document.getElementById('w77').onclick=function() {klik(77);}	
	document.getElementById('w78').onclick=function() {klik(78);}	
	document.getElementById('w79').onclick=function() {klik(79);}
	document.getElementById('w80').onclick=function() {klik(80);}
	document.getElementById('w81').onclick=function() {klik(81);}	
	document.getElementById('w82').onclick=function() {klik(82);}	
	document.getElementById('w83').onclick=function() {klik(83);}	
	document.getElementById('w84').onclick=function() {klik(84);}	
	document.getElementById('w85').onclick=function() {klik(85);}	
	document.getElementById('w86').onclick=function() {klik(86);}	
	document.getElementById('w87').onclick=function() {klik(87);}	
	document.getElementById('w88').onclick=function() {klik(88);}	
	document.getElementById('w89').onclick=function() {klik(89);}	
	document.getElementById('w90').onclick=function() {klik(90);}
	document.getElementById('w91').onclick=function() {klik(91);}	
	document.getElementById('w92').onclick=function() {klik(92);}	
	document.getElementById('w93').onclick=function() {klik(93);}	
	document.getElementById('w94').onclick=function() {klik(94);}	
	document.getElementById('w95').onclick=function() {klik(95);}	
	document.getElementById('w96').onclick=function() {klik(96);}	
	document.getElementById('w97').onclick=function() {klik(97);}	
	document.getElementById('w98').onclick=function() {klik(98);}	
	document.getElementById('w99').onclick=function() {klik(99);}
	document.getElementById('w100').onclick=function() {klik(100);}
	      
    for (i=1; i<101; i++) {
	document.getElementById('w'+i).onmousemove = function() {
    this.style.border = "2px inset #4aa" }
	}
	
	for (i=1; i<101; i++) {
	document.getElementById('w'+i).onmouseout = function() {
    this.style.border = "2px outset #0aa" }
	}
	
	document.getElementById('but1').onclick=function() {start_gry(); }
	document.getElementById('but2').onclick=function() {menu(); }
	document.getElementById('but5').onclick=function() {menu_wyslij(); }
	document.getElementById('but6').onclick=function() {menu_wynik(); }
	document.getElementById('but7').onclick=function() {menu_pomoc(); }
	document.getElementById('but8').onclick=function() {menu_info(); }
	document.getElementById('but15').onclick=function() {s_menu_1(); }
	document.getElementById('but16').onclick=function() {s_menu_2(); }
	document.getElementById('but17').onclick=function() {s_menu_3(); }
	document.getElementById('but18').onclick=function() {s_menu_4(); }
	document.getElementById('but19').onclick=function() {s_menu_5(); }
	
	if( navigator.appName == "Microsoft Internet Explorer" ) {
	n=navigator.appVersion;
	if (czyIE()) {
		if (czyIE()<7)
			ie();
		}
	}
	
	if (document.getElementById('cw').value==1) alert('Wynik wysłany na serwer');
}

	function czyIE() {
	var IE=v=false,n;
	try{n=navigator.appVersion;IE=(n.indexOf('MSIE')!=-1)}catch(e){}
    if(IE)v=n.substr(n.indexOf('MSIE')+5,1);return parseInt(v);
	}
	
	
	function ie() {
		for (i=1; i<101; i++) {
		w = document.getElementById('w'+i);
		w.style.width = '40px';
		w.style.height = '40px';
		}
	
		w = document.getElementById('komunikat');
		w.style.width = '415px';
		w.style.height = '45px';
		w = document.getElementById('czas');
		w.style.width = '100px';
		w.style.height = '38px';
		w = document.getElementById('punkty');
		w.style.width = '100px';
		w.style.height = '38px';
		w = document.getElementById('menu');
		w.style.width = '100px';
		w.style.height = '47px';
		w = document.getElementById('start');
		w.style.width = '100px';
		w.style.height = '47px';
	}
		
	
	function start_gry() {
		clearInterval(si);
		nr_k = 0;
		punkty = 0;
		premia = 0;
		poziom = 1;
		czas = 90;
		l_kol = 2;
		kolory(0, 10, 0, 10);
		czas_d = 0;
		timeg();
		koniec_gry = false;
		startuj_gre = true;
		si = setInterval(timeg, 1000);
		document.getElementById('punkty').innerHTML = 'Punkty: '+punkty+
		'<br>Poziom - 1';
	}
	
	
	function klik(nw) {
		if (startuj_gre) {
		var w = document.getElementById('w'+nw);
		if (w.innerHTML != '') {
		usun_zaznaczenie();
		nr_k = 0;
		}
		else
			{
			w.innerHTML = '<p class="text_1">'+'×'+'</p>';
			kliki[nr_k] = nw;
			nr_k++;
				if (nr_k==4) {
				kliki.sort(function(a,b){return a-b});
				i_min = Math.floor(kliki[0]/10);
				i_max = Math.floor(kliki[2]/10)+1;
				j_min = ((kliki[0]%10)-1);
				j_max = ((kliki[1]%10));
				if (j_max == 0) j_max = 10;
			
				kol_1 = document.getElementById('w'+kliki[0]).style.backgroundColor;
				kol_2 = document.getElementById('w'+kliki[1]).style.backgroundColor;
				kol_3 = document.getElementById('w'+kliki[2]).style.backgroundColor;
				kol_4 = document.getElementById('w'+kliki[3]).style.backgroundColor;
				nr_k=0;
				if ((kliki[1]-kliki[0])==(kliki[3]-kliki[2]) && ((kliki[0]%10)==(kliki[2]%10))) {
					if ((kol_1==kol_2) && (kol_3==kol_4) && (kol_1==kol_3)) {
						
						kolory(i_min, i_max, j_min, j_max);
						usun_zaznaczenie();
						punkty+=((kliki[1]-kliki[0])+1)*(i_max-i_min);
						bonus();
						document.getElementById('punkty').innerHTML = 'Punkty: '+punkty+'<br>'+
						'Poziom: '+poziom;
					}
					else {
						alert('BŁĄD! Nieprawidłowy kolor');
						usun_zaznaczenie();
						punkty-=10;
						document.getElementById('punkty').innerHTML = 'Punkty: '+punkty+'<br>'+
						'Poziom: '+poziom;
						}
				}
			else {
				alert('BŁĄD! Nieprawidłowy kwadrat');
				usun_zaznaczenie();
				punkty-=10;
				document.getElementById('punkty').innerHTML = 'Punkty: '+punkty+'<br>'+
				'Poziom: '+poziom;
			}
			
			}
		}
		}
	}
	
	function out(nw) {
		var w = document.getElementById('w'+nw);
		w.style.border = "2px outset #0aa";
	}
	
	function move(nw) {
		var w = document.getElementById('w'+nw);
		w.style.border = "2px inset #4dd";
	}

	function kolory(i_min, i_max, j_min, j_max) {
	for (i=i_min; i<i_max; i++) {
		for (j=j_min; j<j_max; j++) {
			los = Math.round(Math.random()*l_kol);
			div = document.getElementById('w'+((j+1)+(i*10)));
			div.style.backgroundColor = '#'+kolor[los];
		}
	}
	}
	
	function usun_zaznaczenie() {
		for (i=0; i<4; i++) {
				document.getElementById('w'+kliki[i]).innerHTML = '';
			}
	}
	
	function timeg() {
		if (czas>0) czas--;
		document.getElementById('czas').innerHTML = 'Czas: '+czas+' s<br>Bonus: '+czas_d;
		if (czas==0) {
			nr_gry++;
			alert("\tKONIEC GRY\n\tZDOBYŁEŚ "+punkty+" PUNKTÓW");
			stop();
		}
	}
	
	function bonus() {
		for (i=0; i<40; i++) {
			if (premia==i && Math.floor(punkty/100)==i+1) {
				
				if (premia==4) {
					czas+=20;
					czas_d+=20;
				}
				if (premia==9) {
					l_kol++;
					poziom++;
					czas+=50;
					czas_d+=50;
				}
				if (premia==14) {
					czas+=20;
					czas_d+=20;
				}
				if (premia==19) {
					l_kol++;
					poziom++;
					czas+=50;
					czas_d+=50;
				}
				if (premia==24) {
					czas+=20;
					czas_d+=20;
				}
				if (premia==29) {
					l_kol++;
					poziom++;
					czas+=50;
					czas_d+=50;
				}
				if (premia==34) {
					czas+=20;
					czas_d+=20;
				}
				if (premia==39) {
					l_kol++;
					poziom++;
					czas+=50;
					czas_d+=50;
				}
				premia++;
				czas+=5;
				czas_d+=5;
			}
		}
	}
	
	function stop() {
		clearInterval(si);
		for (i=1; i<101; i++) {
			div = document.getElementById('w'+i);
			div.style.backgroundColor = '#187818';
		}
		usun_zaznaczenie();
		koniec_gry = true;
		startuj_gre = false;
	}
	
	function menu() {
		var div = document.getElementById('box_menu');
		if (!menu_test) {
			div.style.display = 'block';
			menu_test = true;
		}
		else {
			div.style.display = 'none';
			menu_test = false;	
			schowaj_menu();
		}	
	}
	
	function menu_wyslij() {
		if ((koniec_gry) && (punkty>swyniki)) {
			var div = document.getElementById('m_wyslij');
			if (!wyslij_test) {
				nr_wyslania++;
				schowaj_menu();
				schowaj_smenu()
				document.getElementById('wynik').value = punkty;
				document.getElementById('wyn_h').value = punkty;
				div.style.display = 'block';
				wyslij_test = true;
			}
			else {
				div.style.display = 'none';
				wyslij_test = false;	
			}	
		}
		else {
			alert('Wysłanie wyników na serwer możliwe tylko po ukończeniu gry, w której zdobędziesz więcej niż ostatni gracz na liście, czyli '+swyniki+' punktów.');
		}	
	}
	
	function menu_wynik() {
		var div = document.getElementById('m_wynik');
		var k = document.getElementById('bkomun');
		if (!wynik_test) {
			schowaj_menu();
			schowaj_smenu()
			div.style.display = 'block';
			if (!koniec_gry) {
				k.innerHTML='Zagraj i zdobądź więcej niż '+swyniki+' punktów, a wtedy znajdziesz się na liście 10 najlepszych graczy';
			}
			if ((koniec_gry) && (punkty<swyniki)) {
				k.innerHTML='Niestety, tym razem nie udało się. Musisz się bardziej postarać. Zdobyłeś tylko '+punkty+' punktów, to za mało, aby znaleźć się na liście 10 najlepszych graczy';
			}	
			if ((koniec_gry) && (punkty>swyniki)) {
				if ((nr_gry==nr_wyslania) && (nr_gry>0)) {
					k.innerHTML='GRATULACJE!!! Jesteś na liście 10 najlepszych graczy';
				}
				if (nr_gry!=nr_wyslania) {
					k.innerHTML='Gratulacje, zdobyłeś '+punkty+' punktów. Jeżeli wyślesz ten wynik na serwer znajdziesz się wśród 10 najlepszych graczy';
				}
			}
			wynik_test = true;
		}
		else {
			div.style.display = 'none';
			wynik_test = false;	
		}	
	}
	
	function menu_pomoc() {
		var div = document.getElementById('m_pomoc');
		if (!pomoc_test) {
			schowaj_menu();
			schowaj_smenu()
			div.style.display = 'block';
			pomoc_test = true;
			document.getElementById('box_spomoc').style.display = 'block';
			document.getElementById('spomoc1').style.display = 'block';
		}
		else {
			div.style.display = 'none';
			pomoc_test = false;	
		}	
	}
	
	function menu_info() {
		var div = document.getElementById('m_info');
		if (!info_test) {
			schowaj_menu();
			schowaj_smenu()
			div.style.display = 'block';
			info_test = true;
		}
		else {
			div.style.display = 'none';
			info_test = false;	
		}	
	}
	
	function schowaj_menu() {
		document.getElementById('m_wyslij').style.display = 'none';
		document.getElementById('m_wynik').style.display = 'none';
		document.getElementById('m_pomoc').style.display = 'none';
		document.getElementById('m_info').style.display = 'none';
		document.getElementById('box_spomoc').style.display = 'none';
		wyslij_test = false;
		wynik_test = false;
		pomoc_test = false;
		info_test = false;
	}
	
	function s_menu_1() {
		schowaj_smenu();
		document.getElementById('spomoc1').style.display = 'block';
	}
	
	function s_menu_2() {
		schowaj_smenu();
		document.getElementById('spomoc2').style.display = 'block';
	}
	
	function s_menu_3() {
		schowaj_smenu();
		document.getElementById('spomoc3').style.display = 'block';
	}
	
	function s_menu_4() {
		schowaj_smenu();
		document.getElementById('spomoc4').style.display = 'block';
	}
	
	function s_menu_5() {
		schowaj_smenu();
		document.getElementById('spomoc5').style.display = 'block';
	}
	
	
	function schowaj_smenu() {
		document.getElementById('spomoc1').style.display = 'none';
		document.getElementById('spomoc2').style.display = 'none';
		document.getElementById('spomoc3').style.display = 'none';
		document.getElementById('spomoc4').style.display = 'none';
		document.getElementById('spomoc5').style.display = 'none';
	}
	
	
	function targetFrom(e) {
    if (!e) var e = window.event;
    if (e.relatedTarget) return e.relatedTarget;
    else if (e.fromElement) return e.fromElement;
	}
	

// Wylacz Bubble
function wylaczBubble(e) {
  if (!e) var e = window.event;
  e.cancelBubble = true;
	if (e.stopPropagation) e.stopPropagation();
}
});
</script>

